"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const opts_1 = require("../opts");
const exec_1 = require("../exec");
const css_1 = require("../../views/css");
const command_prefix_1 = require("../command-prefix");
function doLs(args) {
    return __awaiter(this, void 0, void 0, function* () {
        const response = JSON.parse(yield exec_1.default(args));
        const header = {
            name: 'NAME',
            attributes: [{ value: 'STATE' }, { value: 'VERSION', outerCSS: 'hide-with-sidecar' }, { value: 'LOCATION' }]
        };
        const body = response.map(_ => ({
            name: _.name,
            onclick: `ibmcloud ks cluster get ${args.REPL.encodeComponent(_.name)}`,
            onclickSilence: true,
            attributes: [
                { key: 'STATE', value: css_1.capitalize(_.state), tag: 'badge', css: css_1.stateToCSS[_.state] },
                { key: 'VERSION', value: _.masterKubeVersion, outerCSS: 'hide-with-sidecar' },
                { key: 'LOCATION', value: _.location }
            ]
        }));
        return {
            header,
            body
        };
    });
}
function doList(args) {
    args.command = args.command.replace(/ibmcloud\s+ks\s+clusters?\s+list/, 'ibmcloud ks cluster ls');
    const idx1 = args.argv.indexOf('ibmcloud');
    args.argv[idx1 + 3] = 'ls';
    const idx2 = args.argvNoOptions.indexOf('ibmcloud');
    args.argvNoOptions[idx2 + 3] = 'ls';
    return doLs(args);
}
exports.default = (registrar) => {
    const cmd = registrar.listen(`/${command_prefix_1.default}/ibmcloud/ks/cluster/list`, doList, opts_1.default);
    registrar.synonym(`/${command_prefix_1.default}/ibmcloud/ks/clusters/list`, doList, cmd, opts_1.default);
    registrar.synonym(`/${command_prefix_1.default}/ibmcloud/ks/cluster/ls`, doLs, cmd, opts_1.default);
    registrar.synonym(`/${command_prefix_1.default}/ibmcloud/ks/clusters/ls`, doLs, cmd, opts_1.default);
    registrar.listen(`/${command_prefix_1.default}/ibmcloud/ks/clusters`, doLs, opts_1.default);
};
//# sourceMappingURL=list.js.map