"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@kui-shell/core");
const opts_1 = require("../opts");
const apiVersion_1 = require("../apiVersion");
const exec_1 = require("../exec");
const command_prefix_1 = require("../command-prefix");
const worker_pool_1 = require("../../models/worker-pool");
const strings = core_1.i18n('plugin-ibmcloud/ks');
function doGet(args) {
    return __awaiter(this, void 0, void 0, function* () {
        const { safeDump } = yield Promise.resolve().then(() => require('js-yaml'));
        const content = JSON.parse(yield exec_1.default(args));
        const toolbarText = {
            type: 'info',
            text: strings('Using machine type', content.machineType)
        };
        return {
            apiVersion: apiVersion_1.default,
            kind: worker_pool_1.kind,
            metadata: {
                name: content.name
            },
            spec: {
                cluster: args.parsedOptions.cluster
            },
            nameHash: content.id,
            toolbarText,
            data: safeDump(content),
            modes: [],
            content,
            isSimulacrum: true,
            summary: {
                content: safeDump({
                    'Workers per Zone': content.sizePerZone,
                    Labels: content.labels,
                    Zones: content.zones.map(_ => _.id)
                }),
                contentType: 'yaml'
            }
        };
    });
}
exports.default = (registrar) => {
    registrar.listen(`/${command_prefix_1.default}/ibmcloud/ks/worker-pool/get`, doGet, opts_1.default);
};
//# sourceMappingURL=get.js.map