"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const opts_1 = require("../opts");
const exec_1 = require("../exec");
const css_1 = require("../../views/css");
const command_prefix_1 = require("../command-prefix");
function doLs(args) {
    return __awaiter(this, void 0, void 0, function* () {
        const response = JSON.parse(yield exec_1.default(args));
        if (response.length === 0) {
            return {
                body: []
            };
        }
        const body = response.map(_ => ({
            name: _.id,
            onclick: `ibmcloud ks worker get ${args.REPL.encodeComponent(_.id)} --cluster ${args.parsedOptions.cluster}`,
            onclickSilence: true,
            attributes: [
                { key: 'STATE', value: css_1.capitalize(_.state.toString()), tag: 'badge', css: css_1.stateToCSS[_.state] },
                { key: 'STATUS', value: css_1.capitalize(_.status.toString()) },
                { key: 'PUBLIC IP', value: _.publicIP, outerCSS: 'hide-with-sidecar' },
                { key: 'FLAVOR', value: _.machineType, outerCSS: 'hide-with-sidecar' },
                { key: 'MESSAGE', value: _.statusDetails, outerCSS: 'hide-with-sidecar' }
            ]
        }));
        const header = {
            name: 'NAME',
            attributes: body[0].attributes.map(_ => ({ value: _.key, outerCSS: _.outerCSS }))
        };
        return {
            header,
            body
        };
    });
}
function doList(args) {
    args.command = args.command.replace(/ibmcloud\s+ks\s+worker\s+list/, 'ibmcloud ks worker ls');
    const idx1 = args.argv.indexOf('ibmcloud');
    args.argv[idx1 + 3] = 'ls';
    const idx2 = args.argvNoOptions.indexOf('ibmcloud');
    args.argvNoOptions[idx2 + 3] = 'ls';
    return doLs(args);
}
exports.default = (registrar) => {
    const cmd = registrar.listen(`/${command_prefix_1.default}/ibmcloud/ks/worker/list`, doList, opts_1.default);
    registrar.synonym(`/${command_prefix_1.default}/ibmcloud/ks/workers/list`, doList, cmd, opts_1.default);
    registrar.synonym(`/${command_prefix_1.default}/ibmcloud/ks/worker/ls`, doLs, cmd, opts_1.default);
    registrar.synonym(`/${command_prefix_1.default}/ibmcloud/ks/workers/ls`, doLs, cmd, opts_1.default);
    registrar.listen(`/${command_prefix_1.default}/ibmcloud/ks/workers`, doLs, opts_1.default);
};
//# sourceMappingURL=list.js.map