"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const apiVersion_1 = require("../controller/apiVersion");
function isIBMCloudCluster(resource) {
    const cluster = resource;
    return cluster.apiVersion === apiVersion_1.default && cluster.kind === 'Cluster';
}
exports.isIBMCloudCluster = isIBMCloudCluster;
function hasAvailableUpdates(cluster) {
    return cluster.masterKubeVersion !== cluster.targetVersion;
}
exports.hasAvailableUpdates = hasAvailableUpdates;
function isIBMCloudClusterWithAvailableUpdates(resource) {
    return isIBMCloudCluster(resource) && hasAvailableUpdates(resource.content);
}
exports.isIBMCloudClusterWithAvailableUpdates = isIBMCloudClusterWithAvailableUpdates;
//# sourceMappingURL=cluster.js.map