"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const apiVersion_1 = require("../controller/apiVersion");
function isIBMCloudWorker(resource) {
    const worker = resource;
    return worker.apiVersion === apiVersion_1.default && worker.kind === 'Worker';
}
exports.isIBMCloudWorker = isIBMCloudWorker;
function hasAvailableUpdates(worker) {
    return worker.kubeVersion !== worker.targetVersion;
}
exports.hasAvailableUpdates = hasAvailableUpdates;
function isIBMCloudWorkerWithAvailableUpdates(resource) {
    return isIBMCloudWorker(resource) && hasAvailableUpdates(resource.content);
}
exports.isIBMCloudWorkerWithAvailableUpdates = isIBMCloudWorkerWithAvailableUpdates;
//# sourceMappingURL=worker.js.map