var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import opts from '../opts';
import doJSONWithStdout from '../exec';
import { capitalize, stateToCSS } from '../../views/css';
import commandPrefix from '../command-prefix';
function doLs(args) {
    return __awaiter(this, void 0, void 0, function* () {
        const response = JSON.parse(yield doJSONWithStdout(args));
        const header = {
            name: 'NAME',
            attributes: [{ value: 'STATE' }, { value: 'VERSION', outerCSS: 'hide-with-sidecar' }, { value: 'LOCATION' }]
        };
        const body = response.map(_ => ({
            name: _.name,
            onclick: `ibmcloud ks cluster get ${args.REPL.encodeComponent(_.name)}`,
            onclickSilence: true,
            attributes: [
                { key: 'STATE', value: capitalize(_.state), tag: 'badge', css: stateToCSS[_.state] },
                { key: 'VERSION', value: _.masterKubeVersion, outerCSS: 'hide-with-sidecar' },
                { key: 'LOCATION', value: _.location }
            ]
        }));
        return {
            header,
            body
        };
    });
}
function doList(args) {
    args.command = args.command.replace(/ibmcloud\s+ks\s+clusters?\s+list/, 'ibmcloud ks cluster ls');
    const idx1 = args.argv.indexOf('ibmcloud');
    args.argv[idx1 + 3] = 'ls';
    const idx2 = args.argvNoOptions.indexOf('ibmcloud');
    args.argvNoOptions[idx2 + 3] = 'ls';
    return doLs(args);
}
export default (registrar) => {
    const cmd = registrar.listen(`/${commandPrefix}/ibmcloud/ks/cluster/list`, doList, opts);
    registrar.synonym(`/${commandPrefix}/ibmcloud/ks/clusters/list`, doList, cmd, opts);
    registrar.synonym(`/${commandPrefix}/ibmcloud/ks/cluster/ls`, doLs, cmd, opts);
    registrar.synonym(`/${commandPrefix}/ibmcloud/ks/clusters/ls`, doLs, cmd, opts);
    registrar.listen(`/${commandPrefix}/ibmcloud/ks/clusters`, doLs, opts);
};
//# sourceMappingURL=list.js.map