var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { i18n } from '@kui-shell/core';
import opts from '../opts';
import apiVersion from '../apiVersion';
import doJSONWithStdout from '../exec';
import commandPrefix from '../command-prefix';
import { kind } from '../../models/worker-pool';
const strings = i18n('plugin-ibmcloud/ks');
function doGet(args) {
    return __awaiter(this, void 0, void 0, function* () {
        const { safeDump } = yield import('js-yaml');
        const content = JSON.parse(yield doJSONWithStdout(args));
        const toolbarText = {
            type: 'info',
            text: strings('Using machine type', content.machineType)
        };
        return {
            apiVersion,
            kind,
            metadata: {
                name: content.name
            },
            spec: {
                cluster: args.parsedOptions.cluster
            },
            nameHash: content.id,
            toolbarText,
            data: safeDump(content),
            modes: [],
            content,
            isSimulacrum: true,
            summary: {
                content: safeDump({
                    'Workers per Zone': content.sizePerZone,
                    Labels: content.labels,
                    Zones: content.zones.map(_ => _.id)
                }),
                contentType: 'yaml'
            }
        };
    });
}
export default (registrar) => {
    registrar.listen(`/${commandPrefix}/ibmcloud/ks/worker-pool/get`, doGet, opts);
};
//# sourceMappingURL=get.js.map