var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import opts from '../opts';
import doJSONWithStdout from '../exec';
import { capitalize, stateToCSS } from '../../views/css';
import commandPrefix from '../command-prefix';
function doLs(args) {
    return __awaiter(this, void 0, void 0, function* () {
        const response = JSON.parse(yield doJSONWithStdout(args));
        if (response.length === 0) {
            return {
                body: []
            };
        }
        const body = response.map(_ => ({
            name: _.id,
            onclick: `ibmcloud ks worker get ${args.REPL.encodeComponent(_.id)} --cluster ${args.parsedOptions.cluster}`,
            onclickSilence: true,
            attributes: [
                { key: 'STATE', value: capitalize(_.state.toString()), tag: 'badge', css: stateToCSS[_.state] },
                { key: 'STATUS', value: capitalize(_.status.toString()) },
                { key: 'PUBLIC IP', value: _.publicIP, outerCSS: 'hide-with-sidecar' },
                { key: 'FLAVOR', value: _.machineType, outerCSS: 'hide-with-sidecar' },
                { key: 'MESSAGE', value: _.statusDetails, outerCSS: 'hide-with-sidecar' }
            ]
        }));
        const header = {
            name: 'NAME',
            attributes: body[0].attributes.map(_ => ({ value: _.key, outerCSS: _.outerCSS }))
        };
        return {
            header,
            body
        };
    });
}
function doList(args) {
    args.command = args.command.replace(/ibmcloud\s+ks\s+worker\s+list/, 'ibmcloud ks worker ls');
    const idx1 = args.argv.indexOf('ibmcloud');
    args.argv[idx1 + 3] = 'ls';
    const idx2 = args.argvNoOptions.indexOf('ibmcloud');
    args.argvNoOptions[idx2 + 3] = 'ls';
    return doLs(args);
}
export default (registrar) => {
    const cmd = registrar.listen(`/${commandPrefix}/ibmcloud/ks/worker/list`, doList, opts);
    registrar.synonym(`/${commandPrefix}/ibmcloud/ks/workers/list`, doList, cmd, opts);
    registrar.synonym(`/${commandPrefix}/ibmcloud/ks/worker/ls`, doLs, cmd, opts);
    registrar.synonym(`/${commandPrefix}/ibmcloud/ks/workers/ls`, doLs, cmd, opts);
    registrar.listen(`/${commandPrefix}/ibmcloud/ks/workers`, doLs, opts);
};
//# sourceMappingURL=list.js.map