import { ResourceWithMetadata } from '@kui-shell/core';
import { WithRawData, WithSummary } from '@kui-shell/plugin-kubeui';
import { ClusterState } from './cluster';
import { WorkerIsolation } from './worker';
import WithCluster from './with-cluster';
export declare const kind = "Worker Pool";
export declare type WorkerPoolState = ClusterState;
export interface IBMCloudWorkerPoolRaw {
    name: string;
    sizePerZone: number;
    machineType: string;
    isolation: WorkerIsolation;
    labels: Record<string, string>;
    id: string;
    region: string;
    state: WorkerPoolState;
    reasonForDelete: string;
    isBalanced: boolean;
    autoscaleEnabled: boolean;
    zones: [{
        privateVlan: number;
        publicVlan: number;
        id: string;
        workerCount: number;
    }];
}
export declare type IBMCloudWorkerPool = ResourceWithMetadata<IBMCloudWorkerPoolRaw> & WithSummary & WithCluster<IBMCloudWorkerPoolRaw> & WithRawData<IBMCloudWorkerPoolRaw> & {
    apiVersion: any;
    kind: any;
    isSimulacrum: true;
};
export declare function isIBMCloudWorkerPool(resource: ResourceWithMetadata): resource is IBMCloudWorkerPool;
export default IBMCloudWorkerPoolRaw;
