import { i18n, encodeComponent } from '@kui-shell/core';
import { isIBMCloudClusterWithAvailableUpdates } from '../models/cluster';
const strings = i18n('plugin-ibmcloud/ks');
export default {
    when: isIBMCloudClusterWithAvailableUpdates,
    mode: {
        mode: 'update',
        label: strings('Update Cluster'),
        command: (tab, cluster) => `ibmcloud ks cluster update --cluster ${encodeComponent(cluster.metadata.name)} --kube-version ${encodeComponent(cluster.content.targetVersion)}`,
        confirm: true,
        kind: 'drilldown'
    }
};
//# sourceMappingURL=update-cluster.js.map