var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import showPool from './modes/show-pool';
import dashboard from './modes/dashboard';
import showCluster from './modes/show-cluster';
import showWorkers from './modes/show-workers';
import showWorkersForWorkerPool from './modes/show-workers-for-pool';
import updateWorker from './modes/update-worker';
import updateCluster from './modes/update-cluster';
import statusBadge from './modes/health';
import stateBadge from './modes/state';
import versionBadge from './modes/version';
export default (registrar) => __awaiter(void 0, void 0, void 0, function* () {
    registrar.registerModes(showWorkers, showWorkersForWorkerPool, dashboard, updateCluster, showCluster, showPool, updateWorker);
    registrar.registerBadges(stateBadge, statusBadge, versionBadge);
});
//# sourceMappingURL=non-headless-preload.js.map