"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ks_1 = require("@kui-shell/plugin-ibmcloud/ks");
const core_1 = require("@kui-shell/core");
const raw_1 = require("./raw");
const installed_1 = require("../installed");
const available_1 = require("../available");
const strings = core_1.i18n('plugin-ibmcloud/plugin');
function doList(args) {
    return __awaiter(this, void 0, void 0, function* () {
        const installed = yield raw_1.default(args);
        const [{ Plugins: installedPlugins }, availablePlugins] = yield Promise.all([
            installed_1.default(args),
            Promise.all(installed.map(_ => _.URL).map(_ => available_1.getAvailablePluginsSafe(args.tab, _)))
        ]);
        const body = installed.map(({ Name: name }, idx) => {
            return {
                name,
                onclick: `ibmcloud plugin repo get ${args.REPL.encodeComponent(name)}`,
                onclickSilence: true,
                attributes: [
                    {
                        key: strings('INSTALLED'),
                        value: availablePlugins[idx].plugins.filter(_ => installedPlugins[_.name] !== undefined).length.toString(),
                        outerCSS: ''
                    },
                    {
                        key: strings('AVAILABLE'),
                        value: availablePlugins[idx].plugins.length.toString(),
                        outerCSS: ''
                    }
                ]
            };
        });
        const header = {
            name: 'NAME',
            attributes: body[0].attributes.map(_ => ({ value: _.key, outerCSS: _.outerCSS }))
        };
        return {
            header,
            body
        };
    });
}
exports.default = (registrar) => {
    registrar.listen(`/${ks_1.commandPrefix}/ibmcloud/plugin/repos`, doList, ks_1.opts);
    registrar.listen(`/${ks_1.commandPrefix}/ibmcloud/repos`, doList, ks_1.opts);
    const cmd1 = registrar.listen(`/${ks_1.commandPrefix}/ibmcloud/plugin/repo/list`, doList, ks_1.opts);
    registrar.synonym(`/${ks_1.commandPrefix}/ibmcloud/plugin/repo/ls`, doList, cmd1, ks_1.opts);
    const cmd2 = registrar.listen(`/${ks_1.commandPrefix}/ibmcloud/repo/list`, doList, ks_1.opts);
    registrar.synonym(`/${ks_1.commandPrefix}/ibmcloud/repo/ls`, doList, cmd2, ks_1.opts);
};
//# sourceMappingURL=list.js.map