"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@kui-shell/core");
const strings = core_1.i18n('plugin-ibmcloud/plugin');
function getRepoURL(args, repoName) {
    return __awaiter(this, void 0, void 0, function* () {
        const repos = yield (yield Promise.resolve().then(() => require('./raw'))).default(args);
        const repo = repos.find(_ => _.Name === repoName);
        if (!repo) {
            const err = new Error(strings('Repository not installed'));
            err.code = 404;
            throw err;
        }
        else {
            return repo.URL;
        }
    });
}
exports.default = getRepoURL;
//# sourceMappingURL=url.js.map