"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const apiVersion_1 = require("../controller/apiVersion");
function trafficLight(status) {
    return status === 'Ready'
        ? 'green-background'
        : status === 'Update Available'
            ? 'yellow-background'
            : status === 'Deprecated'
                ? 'red-background'
                : 'gray-background';
}
exports.trafficLight = trafficLight;
function isIBMCloudPlugin(resource) {
    const plugin = resource;
    return plugin.apiVersion === apiVersion_1.default && plugin.kind === 'Plugin';
}
exports.isIBMCloudPlugin = isIBMCloudPlugin;
function isIBMCloudPluginWithAvailableUpdates(resource) {
    return isIBMCloudPlugin(resource) && resource.spec.updateAvailable;
}
exports.isIBMCloudPluginWithAvailableUpdates = isIBMCloudPluginWithAvailableUpdates;
function isIBMCloudPluginWithCommands(resource) {
    return isIBMCloudPlugin(resource) && resource.content.Commands.length > 0;
}
exports.isIBMCloudPluginWithCommands = isIBMCloudPluginWithCommands;
function isIBMCloudPluginCommand(resource) {
    const command = resource;
    return command.apiVersion === apiVersion_1.default && command.kind === 'Command';
}
exports.isIBMCloudPluginCommand = isIBMCloudPluginCommand;
//# sourceMappingURL=plugin.js.map