var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { opts, commandPrefix } from '@kui-shell/plugin-ibmcloud/ks';
import { i18n } from '@kui-shell/core';
import getInstalledRepos from './raw';
import getInstalledPlugins from '../installed';
import { getAvailablePluginsSafe } from '../available';
const strings = i18n('plugin-ibmcloud/plugin');
function doList(args) {
    return __awaiter(this, void 0, void 0, function* () {
        const installed = yield getInstalledRepos(args);
        const [{ Plugins: installedPlugins }, availablePlugins] = yield Promise.all([
            getInstalledPlugins(args),
            Promise.all(installed.map(_ => _.URL).map(_ => getAvailablePluginsSafe(args.tab, _)))
        ]);
        const body = installed.map(({ Name: name }, idx) => {
            return {
                name,
                onclick: `ibmcloud plugin repo get ${args.REPL.encodeComponent(name)}`,
                onclickSilence: true,
                attributes: [
                    {
                        key: strings('INSTALLED'),
                        value: availablePlugins[idx].plugins.filter(_ => installedPlugins[_.name] !== undefined).length.toString(),
                        outerCSS: ''
                    },
                    {
                        key: strings('AVAILABLE'),
                        value: availablePlugins[idx].plugins.length.toString(),
                        outerCSS: ''
                    }
                ]
            };
        });
        const header = {
            name: 'NAME',
            attributes: body[0].attributes.map(_ => ({ value: _.key, outerCSS: _.outerCSS }))
        };
        return {
            header,
            body
        };
    });
}
export default (registrar) => {
    registrar.listen(`/${commandPrefix}/ibmcloud/plugin/repos`, doList, opts);
    registrar.listen(`/${commandPrefix}/ibmcloud/repos`, doList, opts);
    const cmd1 = registrar.listen(`/${commandPrefix}/ibmcloud/plugin/repo/list`, doList, opts);
    registrar.synonym(`/${commandPrefix}/ibmcloud/plugin/repo/ls`, doList, cmd1, opts);
    const cmd2 = registrar.listen(`/${commandPrefix}/ibmcloud/repo/list`, doList, opts);
    registrar.synonym(`/${commandPrefix}/ibmcloud/repo/ls`, doList, cmd2, opts);
};
//# sourceMappingURL=list.js.map