var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { i18n } from '@kui-shell/core';
const strings = i18n('plugin-ibmcloud/plugin');
export default function getRepoURL(args, repoName) {
    return __awaiter(this, void 0, void 0, function* () {
        const repos = yield (yield import('./raw')).default(args);
        const repo = repos.find(_ => _.Name === repoName);
        if (!repo) {
            const err = new Error(strings('Repository not installed'));
            err.code = 404;
            throw err;
        }
        else {
            return repo.URL;
        }
    });
}
//# sourceMappingURL=url.js.map