import apiVersion from '../controller/apiVersion';
export function trafficLight(status) {
    return status === 'Ready'
        ? 'green-background'
        : status === 'Update Available'
            ? 'yellow-background'
            : status === 'Deprecated'
                ? 'red-background'
                : 'gray-background';
}
export function isIBMCloudPlugin(resource) {
    const plugin = resource;
    return plugin.apiVersion === apiVersion && plugin.kind === 'Plugin';
}
export function isIBMCloudPluginWithAvailableUpdates(resource) {
    return isIBMCloudPlugin(resource) && resource.spec.updateAvailable;
}
export function isIBMCloudPluginWithCommands(resource) {
    return isIBMCloudPlugin(resource) && resource.content.Commands.length > 0;
}
export function isIBMCloudPluginCommand(resource) {
    const command = resource;
    return command.apiVersion === apiVersion && command.kind === 'Command';
}
//# sourceMappingURL=plugin.js.map