"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@kui-shell/core");
const resource_1 = require("../../model/resource");
const strings = core_1.i18n('plugin-kubeui');
function command(tab, { involvedObject: { kind, name, namespace } }) {
    return `kubectl get ${core_1.encodeComponent(kind)} ${core_1.encodeComponent(name)} -n ${core_1.encodeComponent(namespace || 'default')} -o yaml`;
}
const mode = {
    when: resource_1.hasInvolvedObject,
    mode: {
        mode: 'involvedObject',
        label: strings('Show Involved Object'),
        command,
        kind: 'drilldown'
    }
};
exports.default = mode;
//# sourceMappingURL=involved-object.js.map