import { i18n, encodeComponent } from '@kui-shell/core';
import { hasInvolvedObject } from '../../model/resource';
const strings = i18n('plugin-kubeui');
function command(tab, { involvedObject: { kind, name, namespace } }) {
    return `kubectl get ${encodeComponent(kind)} ${encodeComponent(name)} -n ${encodeComponent(namespace || 'default')} -o yaml`;
}
const mode = {
    when: hasInvolvedObject,
    mode: {
        mode: 'involvedObject',
        label: strings('Show Involved Object'),
        command,
        kind: 'drilldown'
    }
};
export default mode;
//# sourceMappingURL=involved-object.js.map