"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ascii_to_table_1 = require("@kui-shell/core/dist/webapp/util/ascii-to-table");
function isCRDBearer(resource) {
    const bearer = resource;
    return (bearer !== undefined &&
        bearer.spec !== undefined &&
        bearer.spec.customresourcedefinitions !== undefined &&
        bearer.spec.customresourcedefinitions.owned !== undefined);
}
function content(tab, resource) {
    return {
        title: 'CRDs',
        header: {
            name: 'NAME',
            outerCSS: ascii_to_table_1.outerCSSForKey.NAME,
            css: ascii_to_table_1.cssForKey.NAME,
            attributes: [{ value: 'KIND' }, { value: 'VERSION', outerCSS: ascii_to_table_1.outerCSSForKey.AGE }, { value: 'DESCRIPTION' }]
        },
        body: resource.spec.customresourcedefinitions.owned.map(spec => ({
            name: spec.name,
            outerCSS: ascii_to_table_1.outerCSSForKey.NAME,
            css: ascii_to_table_1.cssForKey.NAME,
            attributes: [
                { key: 'KIND', value: spec.kind },
                {
                    key: 'VERSION',
                    value: spec.version,
                    outerCSS: ascii_to_table_1.outerCSSForKey.AGE,
                    css: ascii_to_table_1.cssForKey.AGE
                },
                { key: 'DESCRIPTION', value: spec.description, css: 'pre-wrap' }
            ]
        }))
    };
}
exports.crdsMode = {
    when: isCRDBearer,
    mode: {
        mode: 'CRDs',
        content
    }
};
exports.default = exports.crdsMode;
//# sourceMappingURL=crds.js.map