"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isIconBearer(resource) {
    const bearer = resource;
    return (bearer !== undefined &&
        bearer.spec !== undefined &&
        bearer.spec.icon !== undefined &&
        Array.isArray(bearer.spec.icon) &&
        bearer.spec.icon.length > 0 &&
        bearer.spec.icon[0].base64data !== undefined &&
        bearer.spec.icon[0].mediatype !== undefined);
}
exports.default = {
    when: isIconBearer,
    badge: (resource) => {
        const { mediatype, base64data } = resource.spec.icon[0];
        const image = document.createElement('img');
        image.setAttribute('src', `data:${mediatype};base64, ${base64data}`);
        return {
            title: 'icon',
            image
        };
    }
};
//# sourceMappingURL=icon.js.map