"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ascii_to_table_1 = require("@kui-shell/core/dist/webapp/util/ascii-to-table");
function isPackageBearer(resource) {
    const bearer = resource;
    return (bearer !== undefined &&
        bearer.status !== undefined &&
        bearer.status.packages !== undefined &&
        typeof bearer.status.packages === 'string');
}
function content(tab, resource) {
    return {
        title: 'Packages',
        header: {
            name: 'NAME',
            outerCSS: ascii_to_table_1.outerCSSForKey.NAME,
            css: ascii_to_table_1.cssForKey.NAME
        },
        body: resource.status.packages.split(/,/).map(name => ({
            name,
            outerCSS: ascii_to_table_1.outerCSSForKey.NAME,
            css: ascii_to_table_1.cssForKey.NAME
        }))
    };
}
const packagesMode = {
    when: isPackageBearer,
    mode: {
        mode: 'Packages',
        content
    }
};
exports.default = packagesMode;
//# sourceMappingURL=packages.js.map