import { outerCSSForKey, cssForKey } from '@kui-shell/core/dist/webapp/util/ascii-to-table';
function isCRDBearer(resource) {
    const bearer = resource;
    return (bearer !== undefined &&
        bearer.spec !== undefined &&
        bearer.spec.customresourcedefinitions !== undefined &&
        bearer.spec.customresourcedefinitions.owned !== undefined);
}
function content(tab, resource) {
    return {
        title: 'CRDs',
        header: {
            name: 'NAME',
            outerCSS: outerCSSForKey.NAME,
            css: cssForKey.NAME,
            attributes: [{ value: 'KIND' }, { value: 'VERSION', outerCSS: outerCSSForKey.AGE }, { value: 'DESCRIPTION' }]
        },
        body: resource.spec.customresourcedefinitions.owned.map(spec => ({
            name: spec.name,
            outerCSS: outerCSSForKey.NAME,
            css: cssForKey.NAME,
            attributes: [
                { key: 'KIND', value: spec.kind },
                {
                    key: 'VERSION',
                    value: spec.version,
                    outerCSS: outerCSSForKey.AGE,
                    css: cssForKey.AGE
                },
                { key: 'DESCRIPTION', value: spec.description, css: 'pre-wrap' }
            ]
        }))
    };
}
export const crdsMode = {
    when: isCRDBearer,
    mode: {
        mode: 'CRDs',
        content
    }
};
export default crdsMode;
//# sourceMappingURL=crds.js.map