import { outerCSSForKey, cssForKey } from '@kui-shell/core/dist/webapp/util/ascii-to-table';
function isPackageBearer(resource) {
    const bearer = resource;
    return (bearer !== undefined &&
        bearer.status !== undefined &&
        bearer.status.packages !== undefined &&
        typeof bearer.status.packages === 'string');
}
function content(tab, resource) {
    return {
        title: 'Packages',
        header: {
            name: 'NAME',
            outerCSS: outerCSSForKey.NAME,
            css: cssForKey.NAME
        },
        body: resource.status.packages.split(/,/).map(name => ({
            name,
            outerCSS: outerCSSForKey.NAME,
            css: cssForKey.NAME
        }))
    };
}
const packagesMode = {
    when: isPackageBearer,
    mode: {
        mode: 'Packages',
        content
    }
};
export default packagesMode;
//# sourceMappingURL=packages.js.map