"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@kui-shell/core");
const plugin_kubeui_1 = require("@kui-shell/plugin-kubeui");
const flow_1 = require("../../view/flow");
const fetch_1 = require("../fetch");
const resource_1 = require("../resource");
const strings = core_1.i18n('plugin-tekton', 'modes');
const flowMode = {
    mode: 'flow',
    label: strings('flow'),
    content: (tab, resource) => __awaiter(void 0, void 0, void 0, function* () {
        if (plugin_kubeui_1.isKubeResource(resource)) {
            if (resource_1.isPipelineRun(resource)) {
                const [pipeline, tasks] = yield Promise.all([fetch_1.getPipelineFromRef(tab, resource), fetch_1.getTasks(tab)]);
                return { content: (yield flow_1.default(tab, [pipeline].concat(tasks), resource)).content };
            }
            else if (resource_1.isPipeline(resource)) {
                const tasks = yield fetch_1.getTasks(tab);
                const view = yield flow_1.default(tab, [resource].concat(tasks));
                return { content: view.content };
            }
            else {
                return { content: (yield flow_1.default(tab, [resource])).content };
            }
        }
        else {
            return { content: resource.content };
        }
    }),
    defaultMode: true
};
exports.default = flowMode;
//# sourceMappingURL=flow.js.map