"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tektonAPI = /tekton.dev/;
function isTask(resource) {
    return resource && tektonAPI.test(resource.apiVersion) && resource.kind === 'Task';
}
exports.isTask = isTask;
function isPipeline(resource) {
    const run = resource;
    return (run &&
        tektonAPI.test(run.apiVersion) &&
        run.spec !== undefined &&
        run.kind === 'Pipeline' &&
        run.spec.tasks !== undefined);
}
exports.isPipeline = isPipeline;
function isPipelineRun(resource) {
    const run = resource;
    return (tektonAPI.test(run.apiVersion) &&
        run.spec !== undefined &&
        run.kind === 'PipelineRun' &&
        run.spec.serviceAccount !== undefined &&
        run.spec.pipelineRef !== undefined);
}
exports.isPipelineRun = isPipelineRun;
//# sourceMappingURL=resource.js.map