/*
 * Copyright 2019 IBM Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { KubeStatusCondition } from '@kui-shell/plugin-kubeui'

/**
 * Determine the success bit of a run element
 *
 */
export default function success(conditions: KubeStatusCondition[]): boolean {
  const successCondition = conditions.find(_ => _.type === 'Succeeded')
  return (
    successCondition &&
    (successCondition.status === true || (successCondition.status !== false && /true/i.test(successCondition.status)))
  )
}
